Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592506 - No Indication of Kdump in Progress while in X Window
Summary: No Indication of Kdump in Progress while in X Window
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 522925 810881
Blocks: 810880
TreeView+ depends on / blocked
 
Reported: 2010-05-15 02:26 UTC by Qian Cai
Modified: 2012-04-09 14:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 522925
: 810880 (view as bug list)
Environment:
Last Closed: 2010-05-17 12:40:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Qian Cai 2010-05-15 02:26:47 UTC
I suspect this is also true for RHEL6.

+++ This bug was initially created as a clone of Bug #522925 +++

Description of problem:
After setting up kdump, if the kernel crashes while the user is operating under X Window, there is no indication of the kdump kernel is in progress. The user would be confused to see if this is a kernel failure or frozen X window. Ideally, the display would switch to the console when the kdump kernel is booting. This problem happens with and without KMS.

Version-Release number of selected component (if applicable):
kernel-2.6.31-2.fc12.x86_64
xorg-x11-drv-ati-6.12.2-19.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1. setup kdump.
2. trigger kernel crash (echo c >/proc/sysrq-trigger) from X Window.
   
Actual results:
No indication of the kdump kernel in progress. Just a frozen X window.

Expected results:
Switch to console to show the kdump kernel is booting.

--- Additional comment from fedora-triage-list@redhat.com on 2009-11-16 07:18:21 EST ---


This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 1 RHEL Product and Program Management 2010-05-15 02:45:06 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Neil Horman 2010-05-17 12:40:29 UTC
This has been a long standing problem, one which we just can't fix right now.  During a crash there is currently no safe way to return a video card to text mode so that the kdump boot process is visible, or to put up a banner indicating that a kdump is in progress.  The KMS changes make some of this more possible, but only on certain hardware, and under certain conditions.  Its simply to haphazzard a solution to truly be reasonable at this point.


Note You need to log in before you can comment on or make changes to this bug.